Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[python] problème d'emerge [résolu]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
makillo
n00b
n00b


Joined: 24 Nov 2012
Posts: 20
Location: Paris

PostPosted: Sun Feb 10, 2013 6:56 pm    Post subject: [python] problème d'emerge [résolu] Reply with quote

Bonjour ,
J'ai un problème a l'émerge de plusieurs programmes : virtualgl et nevernote :
L'emerge reste bloqué sur
Code:
>>> Emerging (1 of 1) x11-misc/nevernote-0.99 from scrill


puis quand je tue le processus, il m'affiche
Code:
>>> Emerging (1 of 1) x11-misc/nevernote-0.99 from scrill
^CTraceback (most recent call last):


Exiting on signal 2
  File "/usr/lib64/portage/pym/portage/locks.py", line 147, in lockfile
    locking_method(myfd, fcntl.LOCK_EX|fcntl.LOCK_NB)
IOError: [Errno 11] Resource temporarily unavailable

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib64/portage/bin/lock-helper.py", line 29, in <module>
    rval = main(sys.argv[1:])
  File "/usr/lib64/portage/bin/lock-helper.py", line 21, in main
    lock_obj = portage.locks.lockfile(args[0], wantnewlockfile=True)
  File "/usr/lib64/portage/pym/portage/locks.py", line 171, in lockfile
    locking_method(myfd, fcntl.LOCK_EX)
KeyboardInterrupt
_LockProcess: failed to acquire lock on '/var/tmp/portage/x11-misc'
Traceback (most recent call last):
  File "/usr/bin/emerge", line 51, in <module>
    retval = emerge_main()
  File "/usr/lib64/portage/pym/_emerge/main.py", line 1044, in emerge_main
    gc_locals=locals().clear)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 3910, in run_action
    myopts, myaction, myfiles, spinner)
  File "/usr/lib64/portage/pym/_emerge/actions.py", line 472, in action_build
    retval = mergetask.merge()
  File "/usr/lib64/portage/pym/_emerge/Scheduler.py", line 1011, in merge
    rval = self._merge()
  File "/usr/lib64/portage/pym/_emerge/Scheduler.py", line 1396, in _merge
    self._main_loop()
  File "/usr/lib64/portage/pym/_emerge/Scheduler.py", line 1363, in _main_loop
    self._schedule()
  File "/usr/lib64/portage/pym/_emerge/PollScheduler.py", line 127, in _schedule
    self._schedule_tasks()
  File "/usr/lib64/portage/pym/_emerge/Scheduler.py", line 1564, in _schedule_tasks
    if self._schedule_tasks_imp():
  File "/usr/lib64/portage/pym/_emerge/Scheduler.py", line 1664, in _schedule_tasks_imp
    self._task_queues.jobs.add(task)
  File "/usr/lib64/portage/pym/_emerge/SequentialTaskQueue.py", line 23, in add
    self.schedule()
  File "/usr/lib64/portage/pym/_emerge/SequentialTaskQueue.py", line 45, in schedule
    task.start()
  File "/usr/lib64/portage/pym/_emerge/AsynchronousTask.py", line 30, in start
    self._start()
  File "/usr/lib64/portage/pym/_emerge/MergeListItem.py", line 93, in _start
    self._start_task(build, self._default_final_exit)
  File "/usr/lib64/portage/pym/_emerge/CompositeTask.py", line 151, in _start_task
    task.start()
  File "/usr/lib64/portage/pym/_emerge/AsynchronousTask.py", line 30, in start
    self._start()
  File "/usr/lib64/portage/pym/_emerge/EbuildBuild.py", line 88, in _start
    self._prefetch_exit(prefetcher)
  File "/usr/lib64/portage/pym/_emerge/EbuildBuild.py", line 143, in _prefetch_exit
    self._build_dir.lock()
  File "/usr/lib64/portage/pym/_emerge/EbuildBuildDir.py", line 46, in lock
    self._assert_lock(catdir_lock)
  File "/usr/lib64/portage/pym/_emerge/EbuildBuildDir.py", line 71, in _assert_lock
    % (async_lock.returncode,))
AssertionError: AsynchronousLock failed with returncode 1
genkillo makillo #

j'ai essayé de changé de profile python mais rien n'y fait, !
Merci d'avance.
_________________
- Pourquoi ce déguisement de lapin ridicule ?
- Pourquoi ce déguisement d’homme ridicule ?
Donnie Darko


Last edited by makillo on Sun Feb 10, 2013 10:28 pm; edited 1 time in total
Back to top
View user's profile Send private message
makillo
n00b
n00b


Joined: 24 Nov 2012
Posts: 20
Location: Paris

PostPosted: Sun Feb 10, 2013 10:28 pm    Post subject: Reply with quote

résolu : https://forums.gentoo.org/viewtopic-t-893648-view-previous.html?sid=def583dab30cfdabb3b674c39a6fba3f
_________________
- Pourquoi ce déguisement de lapin ridicule ?
- Pourquoi ce déguisement d’homme ridicule ?
Donnie Darko
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum